Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.view.template.style.fontProperties.model
Interface VTFontPropertiesPackage.Literals

Enclosing interface:
  VTFontPropertiesPackage

    public static interface VTFontPropertiesPackage.Literals

Defines literals for the meta objects that represent

- each class,
- each feature of each class,
- each operation of each class,
- each enum,
- and each data type

Field Summary
`static org.eclipse.emf.ecore.EClass` | `FONT_PROPERTIES_STYLE_PROPERTY` The meta object literal for the ' `Style Property`' class.
`static org.eclipse.emf.ecore.EAttribute` | `FONT_PROPERTIES_STYLE_PROPERTY__BOLD` The meta object literal for the 'Bold' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `FONT_PROPERTIES_STYLE_PROPERTY__COLOR_HEX` The meta object literal for the 'Color HEX' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `FONT_PROPERTIES_STYLE_PROPERTY__FONT_NAME` The meta object literal for the 'Font Name' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `FONT_PROPERTIES_STYLE_PROPERTY__HEIGHT` The meta object literal for the 'Height' attribute feature.
`static org.eclipse.emf.ecore.EAttribute` | `FONT_PROPERTIES_STYLE_PROPERTY__ITALIC` The meta object literal for the 'Italic' attribute feature.

Field Detail

### FONT_PROPERTIES_STYLE_PROPERTY

    static final org.eclipse.emf.ecore.EClass FONT_PROPERTIES_STYLE_PROPERTY

  The meta object literal for the ' `Style Property`' class.

  See Also:
    `VTFontPropertiesStylePropertyImpl`, `VTFontPropertiesPackageImpl.getFontPropertiesStyleProperty()`

### FONT_PROPERTIES_STYLE_PROPERTY__ITALIC

    static final org.eclipse.emf.ecore.EAttribute FONT_PROPERTIES_STYLE_PROPERTY__ITALIC

  The meta object literal for the 'Italic' attribute feature.

### FONT_PROPERTIES_STYLE_PROPERTY__BOLD

    static final org.eclipse.emf.ecore.EAttribute FONT_PROPERTIES_STYLE_PROPERTY__BOLD

  The meta object literal for the 'Bold' attribute feature.

### FONT_PROPERTIES_STYLE_PROPERTY__COLOR_HEX

    static final org.eclipse.emf.ecore.EAttribute FONT_PROPERTIES_STYLE_PROPERTY__COLOR_HEX

  The meta object literal for the 'Color HEX' attribute feature.

### FONT_PROPERTIES_STYLE_PROPERTY__HEIGHT

    static final org.eclipse.emf.ecore.EAttribute FONT_PROPERTIES_STYLE_PROPERTY__HEIGHT

  The meta object literal for the 'Height' attribute feature.

### FONT_PROPERTIES_STYLE_PROPERTY__FONT_NAME

    static final org.eclipse.emf.ecore.EAttribute FONT_PROPERTIES_STYLE_PROPERTY__FONT_NAME

  The meta object literal for the 'Font Name' attribute feature.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.